package com.kingdee.eas.custom.gggl;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class SaleContractE2Collection extends AbstractObjectCollection 
{
    public SaleContractE2Collection()
    {
        super(SaleContractE2Info.class);
    }
    public boolean add(SaleContractE2Info item)
    {
        return addObject(item);
    }
    public boolean addCollection(SaleContractE2Collection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(SaleContractE2Info item)
    {
        return removeObject(item);
    }
    public SaleContractE2Info get(int index)
    {
        return(SaleContractE2Info)getObject(index);
    }
    public SaleContractE2Info get(Object key)
    {
        return(SaleContractE2Info)getObject(key);
    }
    public void set(int index, SaleContractE2Info item)
    {
        setObject(index, item);
    }
    public boolean contains(SaleContractE2Info item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(SaleContractE2Info item)
    {
        return super.indexOf(item);
    }
}